[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemonThread.StopDaemon

Stops the daemon

## Declaration

Source position: daemonapp.pp line 342

`public function TDaemonThread.StopDaemon: Boolean; virtual;`

## Function result

True if the daemon was stopped successfully.

## Description

StopDaemon attempts to stop the Daemon by calling methods in the TCustomDaemon instance. StopDaemon also terminates the thread. The return value is True if the Daemon was successfully stopped in the method.

## See also

TDaemonThread.Daemon |  | Daemon instance
TDaemonThread.PauseDaemon |  | Pause the daemon
TDaemonThread.ShutDownDaemon |  | Shut down daemon
TCustomDaemon |  | Base daemon application class
TThread.Terminate